View Full Version : [ubuntu] avahi ??

June 22nd, 2008, 06:08 PM
is this a problem??

Your application cpusd makes use of the Apple Bonjour/libdns_sd (http://www.apple.com/macosx/features/bonjour/) compatibility layer of Avahi (http://www.freedesktop.org/Software/Avahi).

Please fix your application to use the native api of avahi!

June 22nd, 2008, 08:02 PM
You do realize that the devs (the people who put Ubuntu together) do not read the forums. This place is for us, the users, to help each other.

June 23rd, 2008, 05:20 PM
I found this same "warning" message in my logs. What does it mean? What is Avahi? Is there a "native api of avahi" in the repositories? I have not found anything, but I may not be looking in the right place...

June 23rd, 2008, 09:06 PM
Is that application possibly cupsd rather than cpusd?

Is there a problem with the application not working as expected? To me the message seems to be simply stating that the app is using a "compatibility layer" rather than the native (linux) api. This appears to be just an information message, not an error or even a warning to worry about. Where did this message appear?

June 24th, 2008, 03:39 AM
Well, on my part my HP LaserJet P1006 stopped working after an update so I looked around my logs and thought maybe that was the problem

...and so... after a bit of fiddling around, I "unshared" my printer and got rid of that message in my user.log...but the printer still won't work